Bug 1562949 - Cannot login after upgrading from F27 to F28
Summary: Cannot login after upgrading from F27 to F28
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: owncloud
Version: 28
Hardware: All
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: James Hogarth
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-02 18:09 UTC by Randy Barlow
Modified: 2019-05-28 23:26 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 23:26:52 UTC


Attachments (Terms of Use)
Owncloud fixer for fedora 28 (70.00 KB, application/x-tar)
2018-05-04 20:27 UTC, Patrick Reeb
no flags Details

Description Randy Barlow 2018-04-02 18:09:25 UTC
Description of problem:
I am unable to log in to OwnCloud after upgrading from Fedora 27 to Fedora 28. OwnCloud returns an HTTP 500 code, and I see this in journald:

ownCloud[1266]: {PHP} Function create_function() is deprecated at /usr/share/owncloud/lib/private/Route/Route.php#154
php-fpm[1266]: ool www[1266]: {PHP} Declaration of OC\Files\Storage\Local::copyFromStorage(OCP\Files\Storage $sourceStorage, $sourceInternalPath, $targetInternalPath) must be compatible with OC\Files\Storage\Common::copyFromStorage(OCP\Files\Storage $sourceStorage, $sourceInternalPath, $targetInternalPath, $preserveMtime = false) at /usr/share/owncloud/lib/private/Files/Storage/Local.php#42
ownCloud[1010]: {PHP} ini_set(): A session is active. You cannot change the session module's ini settings at this time at /usr/share/owncloud/lib/base.php#583


Version-Release number of selected component (if applicable):
owncloud-9.1.5-3.fc28.noarch

Comment 1 Patrick Reeb 2018-05-04 19:33:24 UTC
I can confirm the issue. Is there a workaround at least until it gets fixed?!

Or are we now left with a broken OC installation and no way to get our data back?!!!

Comment 2 Randy Barlow 2018-05-04 20:21:51 UTC
I don't know of an official workaround, but I ended up using a Fedora 25 container to upgrade from OwnCloud 9 to Nextcloud 10 (because Fedora 26 has too new of a PHP version for Nextcloud 10), then to Nextcloud 11, and then I used the Fedora 28 host to upgrade the rest of the way to Nextcloud 13. I ended up just using upstream's tarballs to do this instead of the RPM. I used James' handy blog post as a resource on how to switch from OwnCloud to Nextcloud when I did this and it went pretty smoothly:

https://www.hogarthuk.com/?q=node/17

Comment 3 Patrick Reeb 2018-05-04 20:27:34 UTC
Created attachment 1431595 [details]
Owncloud fixer for fedora 28

Well for those who would like to stay with OC for a while: here is a fixing tool to make Owncloud 9 work on fedora 28.

Basically it replaces the deprecated commands based on the code of OC in Git hub, and it will downgrade php-sabre to fc25 to enable the calendar too.

Just untar and run ./fix-owncloud

Comment 4 Patrick Reeb 2018-05-04 20:44:15 UTC
(In reply to Randy Barlow from comment #2)
> I don't know of an official workaround, but I ended up using a Fedora 25
> container to upgrade from OwnCloud 9 to Nextcloud 10 (because Fedora 26 has
> too new of a PHP version for Nextcloud 10), then to Nextcloud 11, and then I
> used the Fedora 28 host to upgrade the rest of the way to Nextcloud 13. I
> ended up just using upstream's tarballs to do this instead of the RPM. I
> used James' handy blog post as a resource on how to switch from OwnCloud to
> Nextcloud when I did this and it went pretty smoothly:
> 
> https://www.hogarthuk.com/?q=node/17

Thanks, I read that about moving to NextCloud too. But I have following concerns:

SQL database. Currently OC uses sqlite, not mysql or postgre... So i'm not sure on how to proceed.

Syncronization with Android: I had quite some trouble to find a proper app to synchronize with Owncloud (most not really working, or working in intermittence). Finally found this one: https://github.com/bodeme/easy_dav_for_owncloud which works properly...

Finally what is the advantage of migrating. As far as I can see, neither OC nor NC are available in their latest version from the repos?!

Comment 5 Randy Barlow 2018-05-04 21:10:11 UTC
(In reply to Patrick Reeb from comment #4)
> SQL database. Currently OC uses sqlite, not mysql or postgre... So i'm not
> sure on how to proceed.

Hmm, I'm not sure what I would recommend there, other than that sqlite is not ideal for web applications. But I'm not sure what a path of migration away from sqlite would look like. That aside, I use PostgreSQL and it's great. MySQL makes me shudder. Sorry… that's not very helpful.

> Syncronization with Android: I had quite some trouble to find a proper app
> to synchronize with Owncloud (most not really working, or working in
> intermittence). Finally found this one:
> https://github.com/bodeme/easy_dav_for_owncloud which works properly...

I used DavDroid to synchronize the calendar and contacts with Android before and after my switch from OwnCloud to NextCloud. It works with both and seems to be decent. I'm not familiar with the app you referenced, so I can't comment on that one.

> Finally what is the advantage of migrating. As far as I can see, neither OC
> nor NC are available in their latest version from the repos?!

I don't know if there's a concrete advantage. I switched because I perceived the Nextcloud project to have more "steam" than OwnCloud, but it's just a feeling. I don't know if I really gained much by switching, but I'd been meaning to check out Nextcloud for a while and I figured that if I was gonna have to fool around with tarball installations, why not also try the switch out.

I do believe that James has been working on getting OwnCloud working in Fedora 28 according to some of his posts on fedora's devel list. There's a pretty big thread about it there:

https://lists.fedoraproject.org/archives/list/devel@lists.fedoraproject.org/thread/NQHLQ43MJJTC5BPYRIUZOHUV3FJINBOT/

It's a big app and the upstream is pretty hostile towards distro packaging, so I definitely don't blame James for this situation. I personally felt like I needed to do something for my own infra, which is why I switched to just tarball installs. It may be exceedingly burdensome to stick with OwnCloud/NextCloud's releases in Fedora's RPMs if they keep behaving the way they do.

I also considered (and am still considering) just dropping Nextcloud too and using smaller services that target the specific features I use. For example, I could use radicale for Cal/CardDAV, and httpd's webdav features. This way I can go back to RPMs and also use simpler programs.

Comment 6 James Ettle 2018-05-07 23:31:23 UTC
Same issue with NextCloud. Always struck me as a rather flaky thing in the first place...

Comment 7 mwp.junk 2018-05-18 06:48:43 UTC
Same issue with Nextcloud on F28... *sigh*

Comment 8 Peter Beurle 2018-10-27 01:10:00 UTC
Belatedly doing some maintenance and ran into this. Lots of discussion back in April but no resolution?

How do I get my data? Can anyone confirm ownCloud Fixer works to buy some time on figuring out something long term?

Comment 9 Harold Campbell 2018-10-27 01:45:35 UTC
(In reply to Peter Beurle from comment #8)
> Can anyone confirm ownCloud Fixer works to buy some
> time on figuring out something long term?

I've used it with success.

Comment 10 Peter Beurle 2018-10-27 11:28:48 UTC
All working now. Thank for Patrick Reeb for this workaround.

I wonder what F29 has in-store for us ...

Comment 11 Valentin Bajrami 2018-12-07 20:49:53 UTC
I can confirm as well that fix-owncloud package works on Fedora 28 running owncloud-9.1.5-3.fc28.noarch

Comment 12 Ben Cotton 2019-05-02 20:09:04 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 13 Ben Cotton 2019-05-28 23:26:52 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.